/*
 * DirectionChangeMessage.cpp
 *
 *  Created on: Oct 20, 2018
 *      Author: fredrick
 */

#include "DirectionChangeMessage.h"

namespace JamSpook {
namespace messages {


DirectionChangeMessage::DirectionChangeMessage(const vec3 position,
                                               const vec3 oldDirection,
                                               const vec3 newDirection):
        Message(IDCache::add("DirectionChangeMessage")),
        mPosition(position),
        mOldDirection(oldDirection),
        mNewDirection(newDirection)
{}

DirectionChangeMessage::~DirectionChangeMessage()
{}

const vec3 DirectionChangeMessage::getPosition() const
{
    return mPosition;
}

const vec3 DirectionChangeMessage::getOldDirection() const
{
    return mOldDirection;
}

const vec3 DirectionChangeMessage::getNewDirection() const
{
    return mNewDirection;
}

} // namespace messages
} // namespace JamSpook
